Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class UserTarget

    java.lang.Object
      |
      +--netscape.security.Target
            |
            +--netscape.security.UserTarget

Direct Known Subclasses:
  ParameterizedTarget

public class UserTarget
extends Target

Constructor Summary
`UserTarget()`
`UserTarget(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String url)`
`UserTarget(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String detailDescription, java.lang.String url)`
`UserTarget(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String detailDescription, java.lang.String url, Target[] targetAry)`
`UserTarget(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String url, Target[] targetAry)`

Method Summary
`Privilege` | `enablePrivilege(Principal prin, java.lang.Object data)`

Methods inherited from class netscape.security.Target
`checkPrivilegeEnabled, checkPrivilegeEnabled, checkPrivilegeEnabled, equals, findTarget, findTarget, findTarget, getAllRegisteredTargets, getDescription, getDetailDescription, getDetailedInfo, getHelpUrl, getName, getRisk, getRiskColor, getTargetFromDescription, hashCode, registerTarget, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserTarget

    public UserTarget()

### UserTarget

    public UserTarget(java.lang.String name,
                      Principal prin,
                      int risk,
                      java.lang.String riskColor,
                      java.lang.String description,
                      java.lang.String url)

### UserTarget

    public UserTarget(java.lang.String name,
                      Principal prin,
                      int risk,
                      java.lang.String riskColor,
                      java.lang.String description,
                      java.lang.String url,
                      Target[] targetAry)

### UserTarget

    public UserTarget(java.lang.String name,
                      Principal prin,
                      int risk,
                      java.lang.String riskColor,
                      java.lang.String description,
                      java.lang.String detailDescription,
                      java.lang.String url)

### UserTarget

    public UserTarget(java.lang.String name,
                      Principal prin,
                      int risk,
                      java.lang.String riskColor,
                      java.lang.String description,
                      java.lang.String detailDescription,
                      java.lang.String url,
                      Target[] targetAry)

Method Detail

### enablePrivilege

    public Privilege enablePrivilege(Principal prin,
                                     java.lang.Object data)

  Overrides:
    enablePrivilege in class Target

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD